<template>
  <div>
    <BizTable :formatCol="formatCol" metaName="user_info" packageName="auth" isMulti></BizTable>
  </div>
</template>
  <script>
    import  BizTable from "../components/tables/biztables"
export default {
      name: 'userinfo_page',
      data () {
        return {
        }
        },
      components: {
          BizTable
      },
      methods:{
        formatCol(row,key,index){
          if(key=="roleName"){
               let rolestr=row.Roles.map(item=>item.name).join(",")
               row.roles=row.Roles.map(item=>item.id)
               return `<span style="color:red">rolestr</span>`
          }
           return row[key]
        }
      }
 }
</script>
  <style>

  </style>
